#!/bin/zsh

PID_FILE=/tmp/`basename $0`.pid
OUTFILE=$1
HOST=$2
FILTER="host $HOST"
NIC=$3

if [ "`id -u`" != "0" ]
then
    echo "need root privillege"
    exit
fi

if [ $# -ne 4 ]
then
    echo "syntax:" `basename $0` outfile filter_host interface "[start|rotate|stop]"
    echo "  base of output file name"
    echo "  host = hostname for tcpdump filter "
    echo "  interface = ethernet interface device (e.g.: eth1) "
    exit
fi

stop () {
    if [ -e $PID_FILE ]
    then
	kill `cat $PID_FILE`
	rm $PID_FILE
    fi
}

start ()
{
    echo "creating tcpdump file $OUTFILE, filter = $FILTER"
    echo "running: tcpdump -s 100 -w $OUTFILE.pcap -ni $NIC $FILTER "
    tcpdump -s 100 -w $OUTFILE.pcap -ni $NIC $FILTER 2> /dev/null &
    disown
    PID=$!
    echo $PID > $PID_FILE
}


case $4 in
    "start")
	start 
	;;
    "rotate")
	stop 
	start 
	;;
    "stop")
	stop 
	;;
    *)
        echo "syntax:" `basename $0` outfile host interface "[start|rotate|stop]"
	;;
esac
