#!/bin/bash
#
# generate a gnuplot command file for this test
#
# Note that you'll need to edit this files by hand to adjust the title and x axis 
#  for best looking plots
#
dir=$1
base=$2
OS=$3
OPTS=$4

OS1=CentOS6
OS2=CentOS7
OS3=Kernel.org
OPTS=FQ
OPT2=7g

gpfile=$dir/$base.gp
rm -f $gpfile

echo "# file to plot iperf3 results for file $NAME" >> $gpfile
echo "set term png" >> $gpfile
echo "set key width -12" >> $gpfile
echo "set output \"$dir/$base.png\" " >> $gpfile
echo "set grid xtics" >> $gpfile
echo "set grid ytics"  >> $gpfile
echo "set grid linewidth 1"  >> $gpfile
echo "# change title as necessary" >> $gpfile
echo "set title \"TCP performance: $base \" " >> $gpfile
echo "#set title \"TCP performance: YYY to XXX \; CentOS 6.5 vs CentOS 7.2 \\n $base: 10G Host to XG Host, rtt = XX\" " >> $gpfile
echo "set xlabel \"time \(seconds\)\" " >> $gpfile
echo "set ylabel \"Bandwidth \(Gbits/second\)\" " >> $gpfile
echo "set y2label \"TCP Retransmits\" " >> $gpfile
echo "set xrange [0:62]"  >> $gpfile
echo "# change yrange as necessary" >> $gpfile
echo "#set yrange [0:10]"  >> $gpfile
echo "set ytics nomirror"  >> $gpfile
echo "set y2tics"  >> $gpfile
echo "#set y2range [0:100]"  >> $gpfile
echo "# dont plot when retransmits = 0"  >> $gpfile
echo "set datafile missing '0'"  >> $gpfile
echo "set pointsize 1"  >> $gpfile
echo ""  >> $gpfile

# just plot FQ
#echo "plot \"$dir/$base:$OS2.dat\" using 1:3 title '$OS2' with linespoints lw 3 pt 5, \\" >> $gpfile
#echo "  \"$dir/$base:$OS3.dat\" using 1:3 title '$OS3' with linespoints lw 3 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS2:$OPTS.dat\" using 1:3 title '$OS2+$OPTS' with linespoints lw 3 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS3:$OPTS.dat\" using 1:3 title '$OS3+$OPTS' with linespoints lw 3 pt 9" >> $gpfile

# plot FQ + Pacing
echo "plot \"$dir/$base:$OS2.dat\" using 1:3 title '$OS2' with linespoints lw 2 pt 5, \\" >> $gpfile
echo "  \"$dir/$base:$OS3.dat\" using 1:3 title '$OS3' with linespoints lw 2 pt 9, \\" >> $gpfile
echo "  \"$dir/$base:$OS2:$OPTS.dat\" using 1:3 title '$OS2+$OPTS' with linespoints lw 2 pt 5, \\" >> $gpfile
echo "  \"$dir/$base:$OS3:$OPTS.dat\" using 1:3 title '$OS3+$OPTS' with linespoints lw 2 pt 9, \\" >> $gpfile
echo "  \"$dir/$base:$OS2:$OPTS:$OPT2.dat\" using 1:3 title '$OS2+$OPTS:$OPT2' with linespoints lw 2 pt 5, \\" >> $gpfile
echo "  \"$dir/$base:$OS3:$OPTS:$OPT2.dat\" using 1:3 title '$OS3+$OPTS:$OPT2' with linespoints lw 2 pt 9" >> $gpfile

# plot parallel stream results

#echo "plot \"$dir/$base:$OS1:P4.dat\" using 1:3 title '$OS1: 4 streams' with points lw 2 pt 5, \\" >> $gpfile
#echo "  \"$dir/$base:$OS2:P4.dat\" using 1:3 title '$OS2: 4 streams' with points lw 2 pt 8, \\" >> $gpfile
#echo "  \"$dir/$base:$OS3:P4.dat\" using 1:3 title '$OS3: 4 streams' with points lw 2 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS2:FQ:P4:3g.dat\" using 1:3 title '$OS2: 4 streams, FQ, 3gbps' with points lw 2 pt 8, \\" >> $gpfile
#echo "  \"$dir/$base:$OS3:FQ:P4:3g.dat\" using 1:3 title '$OS3: 4 streams, FQ, 3gbps' with points lw 2 pt 9" >> $gpfile


# plot with retransmits 
#echo "plot \"$dir/$base:$OS1.dat\" using 1:3 title '$OS1' with linespoints lw 3 pt 5, \\" >> $gpfile
#echo "  \"$dir/$base:$OS2.dat\" using 1:3 title '$OS2' with linespoints lw 3 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS3.dat\" using 1:3 title '$OS3' with linespoints lw 3 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS2:$opts.dat\" using 1:3 title '$OS2+$opts' with linespoints lw 3 pt 9, \\" >> $gpfile
#echo "  \"$dir/$base:$OS:dat\" using 1:4 title '$OS retransmits' with points pt 7 axes x1y2, \\" >> $gpfile
#echo "  \"$dir/$base:$OS:$opts.dat\" using 1:4 title '$OS+$opts retransmits' with points pt 7 axes x1y2 " >> $gpfile

gnuplot $gpfile

