#!/bin/bash
#set -x
#
# generate a gnuplot command file for all files in a directory ending in .dat
#
# Note that you'll need to edit this files by hand to adjust the title and x axis 
#  for best looking plots
#
# need to set these for now..
OS="CentOS7"
OPTS="FQ"

MYPATH="/local/scripts/tcp-test-scripts"

FILES=*.dat
for f in $FILES
do
  base=`echo $f | awk -F ":" '{print $1}'`
  echo "Processing $f file... "
 
  #only of the .gp file does not exist, as many files will have the same 'base'
  if [ ! -f $base.gp ] ; then
     $MYPATH/generate_gnuplot.sh $base $OS $OPTS
     gnuplot $base.gp
  fi
done

